package cn.iocoder.yudao.module.bpm.service.task;

import cn.iocoder.yudao.module.bpm.dal.dataobject.task.BpmHistoryProcessInstanceDO;
import cn.iocoder.yudao.module.bpm.dal.mysql.task.BpmHistoryProcessInstanceMapper;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import org.springframework.validation.annotation.Validated;

import javax.annotation.Resource;
import java.util.List;

/**
 * BPM 历史流程实例 Service 实现类
 */
@Service
@Slf4j
@Validated
public class BpmHistoryProcessInstanceServiceImpl implements BpmHistoryProcessInstanceService{

    @Resource
    private BpmHistoryProcessInstanceMapper historyProcessInstanceMapper;

    @Override
    public void createHistoryProcessInstance(String ProcessInstanceId, String historyProcessInstanceId) {

        BpmHistoryProcessInstanceDO historyProcessInstanceDO = new BpmHistoryProcessInstanceDO()
                .setProcessInstanceId(ProcessInstanceId)
                .setHistoryProcessInstanceId(historyProcessInstanceId);

        historyProcessInstanceMapper.insert(historyProcessInstanceDO);
    }

    @Override
    public List<BpmHistoryProcessInstanceDO> getHistoryProcessInstanceDO(String processInstanceId) {

        return historyProcessInstanceMapper.selectList(BpmHistoryProcessInstanceDO::getProcessInstanceId, processInstanceId);
    }
}
